Skip to content

Update employer settings

PUT/v1/employers/{employer_id}/settings

Updates configuration settings for a specific employer. The employer must belong to the authenticated organization.

Path ParametersExpand Collapse
employer_id: string

Unique employer identifier (empr_*)

Body ParametersJSONExpand Collapse
pay_frequency: "weekly" or "bi_weekly" or "semi_monthly" or "monthly"
  • weekly - weekly
  • bi_weekly - bi_weekly
  • semi_monthly - semi_monthly
  • monthly - monthly
One of the following:
"weekly"
"bi_weekly"
"semi_monthly"
"monthly"
ReturnsExpand Collapse
data: { pay_frequency }
pay_frequency: "weekly" or "bi_weekly" or "semi_monthly" or "monthly"
  • weekly - Weekly
  • bi_weekly - Bi-Weekly
  • semi_monthly - Semi-Monthly
  • monthly - Monthly
One of the following:
"weekly"
"bi_weekly"
"semi_monthly"
"monthly"

Update employer settings

curl https://api.vitablehealth.com/v1/employers/$EMPLOYER_ID/settings \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY" \
    -d '{
          "pay_frequency": "bi_weekly"
        }'
{
  "data": {
    "pay_frequency": "bi_weekly"
  }
}
Returns Examples
{
  "data": {
    "pay_frequency": "bi_weekly"
  }
}